import { IGXA } from "@intelligentgraphics/igd.core";
export declare class CatalogCache {
    static rootItemName: "__root__";
    private static fixId;
    private static searchFields;
    private rootItem;
    private allItems;
    private itemPaths;
    add(path: string[], item: IGXA.TAnyItem, recursive?: boolean): void;
    addSubItems(path: string[], items: IGXA.TAnyItem[]): void;
    /**
     * Add root items
     *
     * @param {IGXA.TAnyItem[]} items
     * @param {boolean} [recursive=true]
     * @memberof CatalogCache
     */
    setRootItems(items: IGXA.TAnyItem[], recursive?: boolean): void;
    parseIGXA(igxa: IGXA.IGXA_Object): void;
    getItemById(id: typeof CatalogCache["rootItemName"]): IGXA.IFolderItem;
    getItemById(id: string | undefined): IGXA.TAnyItem;
    getItemPath(id: string | undefined): string[];
    findAllArticlesFor(searchTerm: string): (IGXA.IArticleItem | IGXA.IMultiArticleItem)[];
    private normalizeText;
}
